#ifndef _UARTCOMCHANNEL_H_
#define _UARTCOMCHANNEL_H_

#include "ComChannel.h"
#include "ReversiTypes.h"

class UARTComChannel : ComChannel {
public:
	UARTComChannel();
	virtual void SendToGUI(unsigned char txChar);
	virtual BoardLocationState GetLocation(int n);
	
private:
	int m_boardIdx;
	int m_textIdx;
	BoardLocationState m_boardState[NB_BOARD_LOCATIONS];
	char 	m_statusMsg[TEXT_MESSAGE_MAX_SIZE];
};


#endif
