
#ifndef BOARD_VIEW_HEADER
#define BOARD_VIEW_HEADER

#include "game.h"
#include "ComChannel.h"

class BoardView {
public:
	BoardView();
	void AttachGame(Game *pGame);
	void RegisterComChannel(ComChannel *comChannel);
	void SetSelectedSquare(int x, int y);
	void GetSelectedSquare(int *x, int *y);
	void SetTextMessage(char *pText, int size);
	void UpdateView();

private:
	Game	*m_game;
	int		m_xSel;
	int		m_ySel;
	int		m_xPrevSel;
	int		m_yPrevSel;
	
	ComChannel *m_comChannel;
	char 	m_textMsg[TEXT_MESSAGE_MAX_SIZE];
};

#endif	// BOARD_VIEW_HEADER
