
#ifndef USER_INPUT_HEADER
#define USER_INPUT_HEADER

#include "Move.h"
#include "BoardView.h"

#define EXIT_REQUEST	-1


enum InputKey
{
	UP_KEY = 0,
	DOWN_KEY,
	LEFT_KEY,
	RIGHT_KEY,
	SELECT_KEY
};

class UserInput {
public:
	UserInput();
	void SetCurrentBoardLocation(int x, int y);
//	Move GetNextMove(BoardView * view, Color humanColor);
	InputKey GetKeyPress();
	
private:
	void GoUp();
	void GoDown();
	void GoRight();
	void GoLeft();

private:
	int	m_x;
	int m_y;
};

#endif	// USER_INPUT_HEADER
